/*
 * stl.h - STL file reading
 *
 * Written 2014-2015 by Werner Almesberger
 * Copyright 2014-2015 by Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */


#ifndef STL_H
#define	STL_H

#include <stdio.h>


struct v {
	float x, y, z;
};


void stl_load_file(FILE *file, void (*facet)(struct v f[3]));
void stl_load(const char *name, void (*facet)(struct v f[3]));

#endif /* !STL_H */
